---
title: Global System for Mobile Communication (GSM)
categories: [cheatsheets]
tags: [mobile]
---

# Global System for Mobile Communication (GSM)

Worldwide standard for mobile Communication.

Glossary:

* AuC = Authentication Center
* BSS = Base Station Sub-System
* BSC = Base Station Controller
* BTS = Base Transiever Station
* IMSI = International Mobile Subscriber Identification
* MSISDN = Mobile Subscriber International ISDN Number
* SIM = Subscriber Identitiy Module

# Architecture

Authentication works with a Challenge-Response Protocoll.

Authentication Vector: (Ri, SRES*i, Kbsc,msi)

Beeing:

* Ri - from the AuC choosen random number
* SRES*i = A3(Ri, Kms)  (Signed Response)
* Kms - Authentication key (saved in the SIM)
* Kbsc,msi - Session Key after successfull authentication
* Kbsc,msi = A8(Ri, Kms)

A3() and A8() are cryptographically secure hash functions

More about the authentication:

* http://www.teletopix.org/gsm/how-authentication-center-auc-works-in-gsm/


