---
title: i3 worklow scripts
categories: [cheatsheets]
tags: [workflow]
---

# i3 worklow scripts

## Overview / .scripts outline


**Outline:**
```
.scripts/
    - i3/
        - i3blocks/
    - tools/
    - misc/
```

**Workflow oriented:**

```
i3/unicode.sh: dropdown-list for searchable emojies
i3/lock.sh: bi
i3/i3blocks/i3vpn.sh: show connection status of protonvpn
i3/i3blocks/i3rss.sh: show # of unread RSS feeds (newsboat)

tools/colorchanger: changes base16 colors for [shell, i3, rofi] (default: orangina)
tools/spotify-ctrl: spotify control script, bind to keyboard media keys.
tools/extract: extract multiple archive types.
tools/mkscreenhot: wrapper for the Print key.
tools/md-viewer: shellscript for converting md->html and viewing them in the surf browser.

misc/wpa_pass_to_md4: converts the, for wpa_supplicant needed, WPA PSK Passphrase to md4 ('securely' store the pw in a config file)
misc/qrshare: takes text as input and displays it as image and ascii-art.
```


